5  /  79

Требования к серверному программному обеспечению

Просмотров: 25094 (Статистика ведётся с 06.02.2017)
Дата последнего изменения: 28.04.2018
Роберт Басыров
Сложность урока:
3 уровень - средняя сложность. Необходимо внимание и немного подумать.
1
2
3
4
5

Веб-сервер, который может выполнять PHP приложения

Apache (рекомендуется) работа на этом сервере оптимальна.

Для "1С-Битрикс: Управление сайтом" (не для "Битрикс24 в коробке") возможно использование:

IIS (Internet Information Server)(возможна установка) – работа продукта возможна с IIS 5, IIS 6 и IIS 7 и 7.5. Требуется дополнительная настройка для корректной работы с продуктом.

Eserv (возможна установка) – продукт тестировался для совместной работы с веб-сервером.

PHP

Для работы продукта требуется наличие PHP версии не ниже 5.6.х. (Рекомендуется 7.х.) Выбор PHP-версии зависит от требований, предъявляемых вашим хостинг-провайдером, либо от установленной версии PHP на локальном компьютере. Рекомендуется использовать самую последнюю стабильную версию PHP, чтобы исключить возможность появления ошибок, связанных с PHP, а также для большей безопасности проекта на сервере.

Для корректной работы продукта требуется наличие следующих расширений PHP:

  • GD – библиотека для работы с изображениями, требуется для построения графиков и диаграмм для модулей статистики, рекламы, техподдержки. Используется для работы механизма CAPTCHA.
  • PHP XML – используется для работы системы обновлений. Библиотека по умолчанию включена в стандартной установке PHP. Для версии под Windows - поддержка встроенная.
  • FreeType – библиотека необходима для корректной работы механизма CAPTCHA.
  • Поддержка регулярных выражений (POSIX и Perl-compatible) – необходима для корректной работы внутренних механизмов продукта.
  • Zlib compression – библиотека компрессии используется для работы модуля Компрессии и при работе системы обновлений для уменьшения количества передаваемых данных от сервера к клиенту.
  • PHP openssl – библиотека используется для упаковки (шифрования) и распаковки (расшифровывания) данных.
  • PHP-акселератор – крайне рекомендуется наличие PHP-акселератора, например OPcache или XCache, для значительного ускорения работы PHP-приложений (рекомендуется OPcache, он доступен сразу «из коробки» в PHP v.5.5+).

    Внимание: eAccelerator не совместим с PHP v5.3+ и больше не поддерживается в продуктах «1C-Битрикс» с версии ядра 15.0.13. Подробнее см. в блоге разработчиков.

Примечание: Для базы данных MySQL доступна кодировка UTF-8. Для корректной поддержки кодировки UTF-8 необходимо проверить, установлен ли в PHP модуль mbstring. Для этого в настройках PHP, в файле php.ini, должно быть:
 mbstring.func_overload=2
 mbstring.internal_encoding=UTF-8

Поддержка серверов баз данных

MySQL – минимальным техническим требованием является использование версии MySQL 5.0 и выше.

Для работы с СУБД MySQL требуется установленная поддержка MySQL для PHP.

Внимание! С 1 июня 2016 стартовала Программа «1С-Битрикс» по переходу на базу данных MySQL. С 1 января 2017 года поддержка продуктов «1С-Битрикс» на Oracle Database и MS SQL Server стала ограниченной: клиенты не могут скачивать обновления продукта платформы и воспользоваться возможностями новых версий продукта.

Примечание: Кодировка MySQL utf8mb4 не поддерживается.

Настройки PHP

Для корректной работы продукта необходимо установить следующие параметры PHP:

  1. memory_limit = 64M; Максимальный объем памяти в байтах, который разрешается использовать для работы PHP ядру продукта (в данном случае - 64 Мб).

    Обратите внимание: указанный параметр может быть изменен
    • непосредственно в файле php.ini;
    • из скрипта с помощью функции Такая строка добавляется в файле /bitrix/php_interface/dbconn.php в момент установки, значение задается пользователем. : ini_set("memory_limit", "64M");
    • в файле .htaccess с использованием директивы: php_value memory_limit 64M
    • в файле httpd.conf с использованием директивы: php_admin_value memory_limit 64M

    Обратите внимание: установка параметров PHP из .htaccess возможна только при выполнении следующих условий:
    • используется веб-сервер Apache или совместимый с ним (IIS не является совместимым сервером);
    • файлы .htaccess обрабатываются веб-сервером, т.е. в настройках веб-сервера (httpd.conf) установлена директива: AllowOverride All или другое значение, отличное от None;
    • PHP установлен как модуль Apache (в случае, если PHP работает как CGI, все необходимые значения следует учесть и установить при сборке PHP)
  2. file_uploads = On; Параметр определяет возможность загрузки на сервер файлов. Дополнительно к указанному параметру устанавливаются значения следующих параметров:
    • upload_tmp_dir = < имя каталога Необходимо, чтобы указанный каталог существовал и на него были права на запись для пользователя, под которым работает веб-сервер. Параметр upload_tmp_dir может быть закомментирован в php.ini по умолчанию. >
    • upload_max_filesize = <достаточный размер>

  3. Необходимо, чтобы была корректно настроена работа с сессиями в PHP. Рекомендуется проверить наличие пути Если параметр session.save_path не настроен в файле php.ini, то по умолчанию будет использовано значение /tmp. для сохранения файлов сессий.
    В случае, если в параметрах URL на сервере появляется PHPSESSID=..., отключить его можно следующим образом:
    • В файле php.ini установить: session.use_trans_sid = 0
    • В файле .htaccess установить: php_flag session.use_trans_sid off
      Для демонстрационного сайта строка включена в указанный файл, требуется только раскомментировать ее.

    Важно! C целью безопасности необходимо обязательно указывать отдельную папку хранения сессий для каждого пользователя хостинга.

121
Курсы разработаны в компании «1С-Битрикс»